import { request } from '@/utils/request.js'

/**
 * 公共接口 API接口
 */
export default {
  /**
   * 获取主游戏options
   * @returns
   */
  getMainGameOptionsApi(params = {}) {
    return request({
      url: '/v1/common/getMainGameOptions',
      method: 'get',
      params
    })
  },

  /**
   * 获取子游戏options
   * @param {Object} params
   * @returns
   */
  getGameOptionsApi(params = {}) {
    return request({
      url: '/v1/common/getGameOptions',
      method: 'get',
      params
    })
  }
}
